# Avidemux Shaders

Shaders for Avidemux with OpenGL support

## gopro_8:7 - Fisheye removal for GoPro 11+, 8:7 ratio, 60fps, HyperSmooth off
- unfish_gopro_8:7.glsl  
Shader for fisheye removal

- preset_gopro_8:7_4K_2160p.py  
Preset for mp4, 4K, constant bitrate

- preset_gopro_8:7_FullHD_1080p.py  
Preset for mp4, FullHD, constant bitrate

- preset_gopro_8:7_HD_720p.py  
Preset for mp4, HD, constant bitrate

- preset_gopro_8:7_QHD_540p.py  
Preset for mp4, QHD, constant bitrate

- compute_gopro_8:7.py  
Script to compute output FOV and frame widening

### Installation for BSD/GNU-Linux systems:
- Copy the presets to ~/.avidemux6/custom/
- Copy the shader to /opt/rk/avidemux/ (or edit the preset to set the path)  

Or just run the script install_gopro_8:7.sh  
_For commercial OS's, figure out the paths yourself :)_
### Usage:
Load and edit video(s), select "Custom/preset_gopro_8:7_..." in the menu and save the video.
